function [t] = knnThresh(adjMat,k)
%knnThresh Threshold to k nearest neighbors for each row
%   Detailed explanation goes here
if size(adjMat,1) ~= size(adjMat,2)
    error('Matrix not square');
end

t = false(size(adjMat));
for iRow = 1:size(adjMat,1)
    [~,idx] = maxk(adjMat(iRow,:),k);
    t(iRow,idx) = true;
end

t = t | t';

end

