fields = fieldnames(fig3allbands);
fields = fields(contains(fields,'envCorr'));
bands = split(fields,'_');
bands = bands(:,2);
dataTable = struct();
maxClust = 10;
nROIs = length(fig3.ROIs);
for iBand = 1:length(fields)
    thisField = fields{iBand};
    thisBand = bands{iBand};
    stabTable = table();
    stabTable.ROIs = fig3.ROIs';
    for nClust = 2:maxClust
        assgn = fig45allbands.(thisField).ClustStability(nClust-1).ClusterAssignments;
        stabVect = fig45allbands.(thisField).ClustStability(nClust-1).stability(assgn);
        stabVect = stabVect-fig45allbands.(thisField).ClustStability(nClust-1).nullstability(assgn);
        stabTable.(['stab' num2str(nClust)]) = stabVect;
    end
    dataTable.(bands{iBand}) = stabTable;
end

nClust = 5;

temp = fig45allbands.(thisField).ClustStability(nClust-1).stability(fig45allbands.(thisField).ClustStability(nClust-1).ClusterAssignments);

    stabTable.ROIs = fig3.ROIs(fig45allbands.(thisField).ClustStability(maxClust-1).ClusterAssignments)';


fig3.ROIs(fig45allbands.envCorrDBTorth_gamma.ClustStability(8).ClusterAssignments==1)